Skip to content

CRS catalog

Get the Catalog summary (without lists)

Request

Get the catalog structure with populated number of items per list but empty lists ('lateBoundCRSes',...). It is expected that the lists are individually populated on demand via the specific methods ('CRSV2GetLateBoundCRSes',...).

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

A successful response

Bodyapplication/json
areaOfUseCountinteger, (int32)(Number of areaOfUses)

The total number of Area Of Uses in the catalog.

areaOfUsesArray of objects(AreaOfUse)

The complete list of areas of use.

attributesobject(CatalogAttributes)

The name and last modification time of the catalog.

compoundCTsCountinteger, (int32)(Number of compoundCTs)

The total number of compoundCTs in the catalog.

compoundCTsArray of objects(CompoundCT)

The complete list of compound cartographic transforms

compoundCRSesCountinteger, (int32)(Number of compoundCRSes)

The total number of compoundCRSes in the catalog.

compoundCRSesArray of objects(CompoundCRS)

The complete list of compound coordinate reference systems.

earlyBoundCRSesCountinteger, (int32)(Number of earlyBoundCRSes)

The total number of earlyBoundCRSes in the catalog.

earlyBoundCRSesArray of objects(EarlyBoundCRS)

The complete list of early-bound coordinate reference systems.

lateBoundCRSesCountinteger, (int32)(Number of lateBoundCRSes)

The total number of lateBoundCRSes in the catalog.

lateBoundCRSesArray of objects(LateBoundCRS)

The complete list of late-bound coordinate reference systems.

singleCTsCountinteger, (int32)(Number of singleCTs)

The total number of singleCTs in the catalog.

singleCTsArray of objects(SingleCT)

The complete list of single cartographic transforms

Response
{ "areaOfUseCount": 0, "areaOfUses": [ { … } ], "attributes": { "description": "string", "lastModified": "2016-09-28 12:28:47.128132+00:00", "name": "OSDU standard catalog" }, "compoundCTsCount": 0, "compoundCTs": [ { … } ], "compoundCRSesCount": 0, "compoundCRSes": [ { … } ], "earlyBoundCRSesCount": 0, "earlyBoundCRSes": [ { … } ], "lateBoundCRSesCount": 0, "lateBoundCRSes": [ { … } ], "singleCTsCount": 0, "singleCTs": [ { … } ] }